---
title: Magic Transit
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Magic Transit

##### ModelsExpand Collapse

<details>

<summary>

HealthCheck {enabled, rate, target, type }

</summary>

enabled?: boolean

Determines whether to run healthchecks for a tunnel.

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

rate?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)">HealthCheckRate</a>

How frequent the health check is run. The default value is <code>mid</code>.

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20rate">Link to this property</a>

<details>

<summary>

target?: MagicHealthCheckTarget {effective, saved } | string

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false.

</summary>

One of the following:

<details>

<summary>

MagicHealthCheckTarget {effective, saved }

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target.

</summary>

effective?: string

The effective health check target. If ‘saved’ is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests.

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20effective">Link to this property</a>

saved?: string

The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used.

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20saved">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(variant)%200">Link to this property</a>

string

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20target%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

type?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)">HealthCheckType</a>

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit%20%3E%20(model)%20health_check%20%3E%20(schema)>)

<details>

<summary>

HealthCheckRate = "low"| "mid"| "high"

How frequent the health check is run. The default value is <code>mid</code>.

</summary>

One of the following:

"low"

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"mid"

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"high"

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)>)

<details>

<summary>

HealthCheckType = "reply"| "request"

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

</summary>

One of the following:

"reply"

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"request"

<a href="#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)>)

#### Magic TransitApps

##### [List Apps](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps/methods/list)

client.magicTransit.apps.list(AppListParams {account\_id } params, RequestOptionsoptions?): SinglePage< [AppListResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)>)>

GET/accounts/{account\_id}/magic/apps

##### [Create a new App](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps/methods/create)

client.magicTransit.apps.create(AppCreateParams {account\_id, name, type, 3 more } params, RequestOptionsoptions?): [AppCreateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)>) {account\_app\_id, hostnames, ip\_subnets, 3 more } | null

POST/accounts/{account\_id}/magic/apps

##### [Update an App](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps/methods/update)

client.magicTransit.apps.update(stringaccountAppID, AppUpdateParams {account\_id, hostnames, ip\_subnets, 3 more } params, RequestOptionsoptions?): [AppUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)>) {account\_app\_id, hostnames, ip\_subnets, 3 more } | null

PUT/accounts/{account\_id}/magic/apps/{account\_app\_id}

##### [Update an App](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps/methods/edit)

client.magicTransit.apps.edit(stringaccountAppID, AppEditParams {account\_id, hostnames, ip\_subnets, 3 more } params, RequestOptionsoptions?): [AppEditResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)>) {account\_app\_id, hostnames, ip\_subnets, 3 more } | null

PATCH/accounts/{account\_id}/magic/apps/{account\_app\_id}

##### [Delete Account App](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/apps/methods/delete)

client.magicTransit.apps.delete(stringaccountAppID, AppDeleteParams {account\_id } params, RequestOptionsoptions?): [AppDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)>) {account\_app\_id, hostnames, ip\_subnets, 3 more } | null

DELETE/accounts/{account\_id}/magic/apps/{account\_app\_id}

##### ModelsExpand Collapse

<details>

<summary>

AppListResponse = MagicAccountApp {account\_app\_id, hostnames, ip\_subnets, 3 more } | MagicManagedApp {managed\_app\_id, hostnames, ip\_subnets, 3 more }

Collection of Hostnames and/or IP Subnets to associate with traffic decisions.

</summary>

One of the following:

<details>

<summary>

MagicAccountApp {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

MagicManagedApp {managed\_app\_id, hostnames, ip\_subnets, 3 more }

Managed app defined by Cloudflare.

</summary>

managed\_app\_id: string

Managed app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20managed_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)%20%3E%20(variant)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_list_response%20%3E%20(schema)>)

<details>

<summary>

AppCreateResponse {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_create_response%20%3E%20(schema)>)

<details>

<summary>

AppUpdateResponse {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_update_response%20%3E%20(schema)>)

<details>

<summary>

AppEditResponse {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_edit_response%20%3E%20(schema)>)

<details>

<summary>

AppDeleteResponse {account\_app\_id, hostnames, ip\_subnets, 3 more }

Custom app defined for an account.

</summary>

account\_app\_id: string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

hostnames?: Array&lt;string&gt;

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

ip\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

name?: string

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

source\_subnets?: Array&lt;string&gt;

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

type?: string

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20app_delete_response%20%3E%20(schema)>)

#### Magic TransitCf Interconnects

##### [List interconnects](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/cf_interconnects/methods/list)

client.magicTransit.cfInterconnects.list(CfInterconnectListParams {account\_id, xMagicNewHcTarget } params, RequestOptionsoptions?): [CfInterconnectListResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)>) {interconnects }

GET/accounts/{account\_id}/magic/cf\_interconnects

##### [List interconnect Details](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/cf_interconnects/methods/get)

client.magicTransit.cfInterconnects.get(stringcfInterconnectID, CfInterconnectGetParams {account\_id, xMagicNewHcTarget } params, RequestOptionsoptions?): [CfInterconnectGetResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)>) {interconnect }

GET/accounts/{account\_id}/magic/cf\_interconnects/{cf\_interconnect\_id}

##### [Update interconnect](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/cf_interconnects/methods/update)

client.magicTransit.cfInterconnects.update(stringcfInterconnectID, CfInterconnectUpdateParams {account\_id, automatic\_return\_routing, bgp, 8 more } params, RequestOptionsoptions?): [CfInterconnectUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)>) {modified, modified\_interconnect }

PUT/accounts/{account\_id}/magic/cf\_interconnects/{cf\_interconnect\_id}

##### [Update multiple interconnects](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/cf_interconnects/methods/bulk_update)

client.magicTransit.cfInterconnects.bulkUpdate(CfInterconnectBulkUpdateParams {account\_id, body, xMagicNewHcTarget } params, RequestOptionsoptions?): [CfInterconnectBulkUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)>) {modified, modified\_interconnects }

PUT/accounts/{account\_id}/magic/cf\_interconnects

##### ModelsExpand Collapse

<details>

<summary>

CfInterconnectListResponse {interconnects }

</summary>

<details>

<summary>

interconnects?: Array&lt;Interconnect&gt;

</summary>

id?: string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

automatic\_return\_routing?: boolean

True if automatic stateful return routing should be enabled for a tunnel, false otherwise. Requires the <code>coupler_integration</code> account flag to be enabled; requests setting this to <code>true</code> without that flag will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20automatic_return_routing">Link to this property</a>

<details>

<summary>

bgp?: BGP {as\_no, cloudflare\_endpoint, customer\_asn, 5 more }

</summary>

Deprecatedas\_no?: number

Deprecated. Use customer\_asn.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20as_no">Link to this property</a>

Deprecatedcloudflare\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

customer\_asn?: number

ASN used on the customer end of the BGP session.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_asn">Link to this property</a>

Deprecatedcustomer\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_endpoint">Link to this property</a>

export\_filter\_id?: string

ID of the BGP filter profile applied to routes advertised to the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20export_filter_id">Link to this property</a>

extra\_prefixes?: Array&lt;string&gt;

Prefixes in this list will be advertised to the customer device, in addition to the routes in the Magic routing table.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20extra_prefixes">Link to this property</a>

import\_filter\_id?: string

ID of the BGP filter profile applied to routes received from the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20import_filter_id">Link to this property</a>

md5\_key?: string

MD5 key to use for session authentication.

Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

- ASCII alphanumerics: <code>[a-zA-Z0-9]</code>
- Special characters in the set <code>'!@#$%^&amp;*()+[]{}&lt;&gt;/.,;:_-~</code>= |\`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (<code>"</code>), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (<code>?</code>). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20md5_key">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20bgp">Link to this property</a>

colo\_name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20colo_name">Link to this property</a>

created\_on?: string

The date and time the tunnel was created.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20created_on">Link to this property</a>

description?: string

An optional description of the interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

gre?: GRE {cloudflare\_endpoint }

Omitted in responses for version 1.5 interconnects.

</summary>

cloudflare\_endpoint?: string

The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20gre%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20gre">Link to this property</a>

<details>

<summary>

health\_check?: HealthCheck {direction, enabled, rate, 3 more }

</summary>

<details>

<summary>

direction?: "unidirectional"| "bidirectional"

The direction of the flow of the healthcheck. Either unidirectional, where the probe comes to you via the interconnect and the result comes back to Cloudflare via the open Internet, or bidirectional where both the probe and result come and go via the interconnect.

</summary>

One of the following:

"unidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%200">Link to this property</a>

"bidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction">Link to this property</a>

enabled?: boolean

Determines whether to run healthchecks for a tunnel.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20enabled">Link to this property</a>

rate?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)">HealthCheckRate</a>

How frequent the health check is run. The default value is <code>mid</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20rate">Link to this property</a>

source?: string

The source IPv4 address used for bidirectional health checks. Supported only for version 1.5 interconnects. It is required when <code>direction</code> is <code>bidirectional</code> and must be omitted (and is cleared) when <code>direction</code> is <code>unidirectional</code>. The address must be within RFC1918 space, the approved link-local range 169.254.240.0/20, or the Cloudflare reserved range 198.41.199.224/27.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20source">Link to this property</a>

<details>

<summary>

target?: MagicHealthCheckTarget {effective, saved } | string

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false.

</summary>

One of the following:

<details>

<summary>

MagicHealthCheckTarget {effective, saved }

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target.

</summary>

effective?: string

The effective health check target. If ‘saved’ is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20effective">Link to this property</a>

saved?: string

The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20saved">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200">Link to this property</a>

string

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target">Link to this property</a>

type?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)">HealthCheckType</a>

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20health_check">Link to this property</a>

interface\_address?: string

The IPv4 interface address for the interconnect. For MPLS Interconnects, use a /30 or /31 prefix. For GRE Interconnects, a /30 or /31 prefix may be used. Version 1.5 interconnects require a /31 prefix and may also use a prefix from the account’s authorized prefixes; otherwise, select the subnet from RFC 1918 or the approved link-local ranges.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20interface_address">Link to this property</a>

interface\_address6?: string

A 127 bit IPV6 prefix from within the virtual\_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual\_subnet6. Eg if virtual\_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface\_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20interface_address6">Link to this property</a>

modified\_on?: string

The date and time the tunnel was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20modified_on">Link to this property</a>

mtu?: number

The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20mtu">Link to this property</a>

name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

version?: string

Immutable interconnect version configured at creation time. One of:

- “1”
- “1.5”
- “2”

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

virtual\_port\_reservation\_id?: string

An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource.

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects%20%3E%20(items)%20%3E%20(property)%20virtual_port_reservation_id">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)%20%3E%20(property)%20interconnects">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_list_response%20%3E%20(schema)>)

<details>

<summary>

CfInterconnectGetResponse {interconnect }

</summary>

<details>

<summary>

interconnect?: Interconnect {id, automatic\_return\_routing, bgp, 12 more }

</summary>

id?: string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20id">Link to this property</a>

automatic\_return\_routing?: boolean

True if automatic stateful return routing should be enabled for a tunnel, false otherwise. Requires the <code>coupler_integration</code> account flag to be enabled; requests setting this to <code>true</code> without that flag will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20automatic_return_routing">Link to this property</a>

<details>

<summary>

bgp?: BGP {as\_no, cloudflare\_endpoint, customer\_asn, 5 more }

</summary>

Deprecatedas\_no?: number

Deprecated. Use customer\_asn.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20as_no">Link to this property</a>

Deprecatedcloudflare\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

customer\_asn?: number

ASN used on the customer end of the BGP session.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_asn">Link to this property</a>

Deprecatedcustomer\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_endpoint">Link to this property</a>

export\_filter\_id?: string

ID of the BGP filter profile applied to routes advertised to the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20export_filter_id">Link to this property</a>

extra\_prefixes?: Array&lt;string&gt;

Prefixes in this list will be advertised to the customer device, in addition to the routes in the Magic routing table.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20extra_prefixes">Link to this property</a>

import\_filter\_id?: string

ID of the BGP filter profile applied to routes received from the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20import_filter_id">Link to this property</a>

md5\_key?: string

MD5 key to use for session authentication.

Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

- ASCII alphanumerics: <code>[a-zA-Z0-9]</code>
- Special characters in the set <code>'!@#$%^&amp;*()+[]{}&lt;&gt;/.,;:_-~</code>= |\`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (<code>"</code>), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (<code>?</code>). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20md5_key">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20bgp">Link to this property</a>

colo\_name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20colo_name">Link to this property</a>

created\_on?: string

The date and time the tunnel was created.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20created_on">Link to this property</a>

description?: string

An optional description of the interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

gre?: GRE {cloudflare\_endpoint }

Omitted in responses for version 1.5 interconnects.

</summary>

cloudflare\_endpoint?: string

The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20gre%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20gre">Link to this property</a>

<details>

<summary>

health\_check?: HealthCheck {direction, enabled, rate, 3 more }

</summary>

<details>

<summary>

direction?: "unidirectional"| "bidirectional"

The direction of the flow of the healthcheck. Either unidirectional, where the probe comes to you via the interconnect and the result comes back to Cloudflare via the open Internet, or bidirectional where both the probe and result come and go via the interconnect.

</summary>

One of the following:

"unidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%200">Link to this property</a>

"bidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction">Link to this property</a>

enabled?: boolean

Determines whether to run healthchecks for a tunnel.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20enabled">Link to this property</a>

rate?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)">HealthCheckRate</a>

How frequent the health check is run. The default value is <code>mid</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20rate">Link to this property</a>

source?: string

The source IPv4 address used for bidirectional health checks. Supported only for version 1.5 interconnects. It is required when <code>direction</code> is <code>bidirectional</code> and must be omitted (and is cleared) when <code>direction</code> is <code>unidirectional</code>. The address must be within RFC1918 space, the approved link-local range 169.254.240.0/20, or the Cloudflare reserved range 198.41.199.224/27.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20source">Link to this property</a>

<details>

<summary>

target?: MagicHealthCheckTarget {effective, saved } | string

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false.

</summary>

One of the following:

<details>

<summary>

MagicHealthCheckTarget {effective, saved }

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target.

</summary>

effective?: string

The effective health check target. If ‘saved’ is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20effective">Link to this property</a>

saved?: string

The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20saved">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200">Link to this property</a>

string

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target">Link to this property</a>

type?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)">HealthCheckType</a>

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20health_check">Link to this property</a>

interface\_address?: string

The IPv4 interface address for the interconnect. For MPLS Interconnects, use a /30 or /31 prefix. For GRE Interconnects, a /30 or /31 prefix may be used. Version 1.5 interconnects require a /31 prefix and may also use a prefix from the account’s authorized prefixes; otherwise, select the subnet from RFC 1918 or the approved link-local ranges.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20interface_address">Link to this property</a>

interface\_address6?: string

A 127 bit IPV6 prefix from within the virtual\_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual\_subnet6. Eg if virtual\_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface\_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20interface_address6">Link to this property</a>

modified\_on?: string

The date and time the tunnel was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20modified_on">Link to this property</a>

mtu?: number

The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20mtu">Link to this property</a>

name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20name">Link to this property</a>

version?: string

Immutable interconnect version configured at creation time. One of:

- “1”
- “1.5”
- “2”

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20version">Link to this property</a>

virtual\_port\_reservation\_id?: string

An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource.

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect%20%3E%20(property)%20virtual_port_reservation_id">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)%20%3E%20(property)%20interconnect">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_get_response%20%3E%20(schema)>)

<details>

<summary>

CfInterconnectUpdateResponse {modified, modified\_interconnect }

</summary>

modified?: boolean

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

<details>

<summary>

modified\_interconnect?: ModifiedInterconnect {id, automatic\_return\_routing, bgp, 12 more }

</summary>

id?: string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20id">Link to this property</a>

automatic\_return\_routing?: boolean

True if automatic stateful return routing should be enabled for a tunnel, false otherwise. Requires the <code>coupler_integration</code> account flag to be enabled; requests setting this to <code>true</code> without that flag will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20automatic_return_routing">Link to this property</a>

<details>

<summary>

bgp?: BGP {as\_no, cloudflare\_endpoint, customer\_asn, 5 more }

</summary>

Deprecatedas\_no?: number

Deprecated. Use customer\_asn.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20as_no">Link to this property</a>

Deprecatedcloudflare\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

customer\_asn?: number

ASN used on the customer end of the BGP session.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_asn">Link to this property</a>

Deprecatedcustomer\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_endpoint">Link to this property</a>

export\_filter\_id?: string

ID of the BGP filter profile applied to routes advertised to the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20export_filter_id">Link to this property</a>

extra\_prefixes?: Array&lt;string&gt;

Prefixes in this list will be advertised to the customer device, in addition to the routes in the Magic routing table.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20extra_prefixes">Link to this property</a>

import\_filter\_id?: string

ID of the BGP filter profile applied to routes received from the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20import_filter_id">Link to this property</a>

md5\_key?: string

MD5 key to use for session authentication.

Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

- ASCII alphanumerics: <code>[a-zA-Z0-9]</code>
- Special characters in the set <code>'!@#$%^&amp;*()+[]{}&lt;&gt;/.,;:_-~</code>= |\`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (<code>"</code>), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (<code>?</code>). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp%20%3E%20(property)%20md5_key">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20bgp">Link to this property</a>

colo\_name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20colo_name">Link to this property</a>

created\_on?: string

The date and time the tunnel was created.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20created_on">Link to this property</a>

description?: string

An optional description of the interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

gre?: GRE {cloudflare\_endpoint }

Omitted in responses for version 1.5 interconnects.

</summary>

cloudflare\_endpoint?: string

The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20gre%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20gre">Link to this property</a>

<details>

<summary>

health\_check?: HealthCheck {direction, enabled, rate, 3 more }

</summary>

<details>

<summary>

direction?: "unidirectional"| "bidirectional"

The direction of the flow of the healthcheck. Either unidirectional, where the probe comes to you via the interconnect and the result comes back to Cloudflare via the open Internet, or bidirectional where both the probe and result come and go via the interconnect.

</summary>

One of the following:

"unidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%200">Link to this property</a>

"bidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20direction">Link to this property</a>

enabled?: boolean

Determines whether to run healthchecks for a tunnel.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20enabled">Link to this property</a>

rate?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)">HealthCheckRate</a>

How frequent the health check is run. The default value is <code>mid</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20rate">Link to this property</a>

source?: string

The source IPv4 address used for bidirectional health checks. Supported only for version 1.5 interconnects. It is required when <code>direction</code> is <code>bidirectional</code> and must be omitted (and is cleared) when <code>direction</code> is <code>unidirectional</code>. The address must be within RFC1918 space, the approved link-local range 169.254.240.0/20, or the Cloudflare reserved range 198.41.199.224/27.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20source">Link to this property</a>

<details>

<summary>

target?: MagicHealthCheckTarget {effective, saved } | string

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false.

</summary>

One of the following:

<details>

<summary>

MagicHealthCheckTarget {effective, saved }

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target.

</summary>

effective?: string

The effective health check target. If ‘saved’ is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20effective">Link to this property</a>

saved?: string

The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20saved">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200">Link to this property</a>

string

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20target">Link to this property</a>

type?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)">HealthCheckType</a>

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20health_check">Link to this property</a>

interface\_address?: string

The IPv4 interface address for the interconnect. For MPLS Interconnects, use a /30 or /31 prefix. For GRE Interconnects, a /30 or /31 prefix may be used. Version 1.5 interconnects require a /31 prefix and may also use a prefix from the account’s authorized prefixes; otherwise, select the subnet from RFC 1918 or the approved link-local ranges.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20interface_address">Link to this property</a>

interface\_address6?: string

A 127 bit IPV6 prefix from within the virtual\_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual\_subnet6. Eg if virtual\_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface\_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20interface_address6">Link to this property</a>

modified\_on?: string

The date and time the tunnel was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20modified_on">Link to this property</a>

mtu?: number

The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20mtu">Link to this property</a>

name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20name">Link to this property</a>

version?: string

Immutable interconnect version configured at creation time. One of:

- “1”
- “1.5”
- “2”

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20version">Link to this property</a>

virtual\_port\_reservation\_id?: string

An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource.

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect%20%3E%20(property)%20virtual_port_reservation_id">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnect">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_update_response%20%3E%20(schema)>)

<details>

<summary>

CfInterconnectBulkUpdateResponse {modified, modified\_interconnects }

</summary>

modified?: boolean

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

<details>

<summary>

modified\_interconnects?: Array&lt;ModifiedInterconnect&gt;

</summary>

id?: string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

automatic\_return\_routing?: boolean

True if automatic stateful return routing should be enabled for a tunnel, false otherwise. Requires the <code>coupler_integration</code> account flag to be enabled; requests setting this to <code>true</code> without that flag will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20automatic_return_routing">Link to this property</a>

<details>

<summary>

bgp?: BGP {as\_no, cloudflare\_endpoint, customer\_asn, 5 more }

</summary>

Deprecatedas\_no?: number

Deprecated. Use customer\_asn.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20as_no">Link to this property</a>

Deprecatedcloudflare\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

customer\_asn?: number

ASN used on the customer end of the BGP session.

formatint32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_asn">Link to this property</a>

Deprecatedcustomer\_endpoint?: string

Read-only for v1.5; derived from interface\_address.

formatipv4

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_endpoint">Link to this property</a>

export\_filter\_id?: string

ID of the BGP filter profile applied to routes advertised to the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20export_filter_id">Link to this property</a>

extra\_prefixes?: Array&lt;string&gt;

Prefixes in this list will be advertised to the customer device, in addition to the routes in the Magic routing table.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20extra_prefixes">Link to this property</a>

import\_filter\_id?: string

ID of the BGP filter profile applied to routes received from the customer.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20import_filter_id">Link to this property</a>

md5\_key?: string

MD5 key to use for session authentication.

Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

- ASCII alphanumerics: <code>[a-zA-Z0-9]</code>
- Special characters in the set <code>'!@#$%^&amp;*()+[]{}&lt;&gt;/.,;:_-~</code>= |\`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (<code>"</code>), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (<code>?</code>). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20md5_key">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20bgp">Link to this property</a>

colo\_name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20colo_name">Link to this property</a>

created\_on?: string

The date and time the tunnel was created.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20created_on">Link to this property</a>

description?: string

An optional description of the interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

gre?: GRE {cloudflare\_endpoint }

Omitted in responses for version 1.5 interconnects.

</summary>

cloudflare\_endpoint?: string

The IP address assigned to the Cloudflare side of the GRE tunnel created as part of the Interconnect.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20gre%20%3E%20(property)%20cloudflare_endpoint">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20gre">Link to this property</a>

<details>

<summary>

health\_check?: HealthCheck {direction, enabled, rate, 3 more }

</summary>

<details>

<summary>

direction?: "unidirectional"| "bidirectional"

The direction of the flow of the healthcheck. Either unidirectional, where the probe comes to you via the interconnect and the result comes back to Cloudflare via the open Internet, or bidirectional where both the probe and result come and go via the interconnect.

</summary>

One of the following:

"unidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%200">Link to this property</a>

"bidirectional"

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20direction">Link to this property</a>

enabled?: boolean

Determines whether to run healthchecks for a tunnel.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20enabled">Link to this property</a>

rate?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_rate%20%3E%20(schema)">HealthCheckRate</a>

How frequent the health check is run. The default value is <code>mid</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20rate">Link to this property</a>

source?: string

The source IPv4 address used for bidirectional health checks. Supported only for version 1.5 interconnects. It is required when <code>direction</code> is <code>bidirectional</code> and must be omitted (and is cleared) when <code>direction</code> is <code>unidirectional</code>. The address must be within RFC1918 space, the approved link-local range 169.254.240.0/20, or the Cloudflare reserved range 198.41.199.224/27.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20source">Link to this property</a>

<details>

<summary>

target?: MagicHealthCheckTarget {effective, saved } | string

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target. Must be in object form if the x-magic-new-hc-target header is set to true and string form if x-magic-new-hc-target is absent or set to false.

</summary>

One of the following:

<details>

<summary>

MagicHealthCheckTarget {effective, saved }

The destination address in a request type health check. After the healthcheck is decapsulated at the customer end of the tunnel, the ICMP echo will be forwarded to this address. This field defaults to <code>customer_gre_endpoint address</code>. This field is ignored for bidirectional healthchecks as the interface\_address (not assigned to the Cloudflare side of the tunnel) is used as the target.

</summary>

effective?: string

The effective health check target. If ‘saved’ is empty, then this field will be populated with the calculated default value on GET requests. Ignored in POST, PUT, and PATCH requests.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20effective">Link to this property</a>

saved?: string

The saved health check target. Setting the value to the empty string indicates that the calculated default value will be used.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200%20%3E%20(property)%20saved">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%200">Link to this property</a>

string

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20target">Link to this property</a>

type?: <a href="https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit%20%3E%20(model)%20health_check_type%20%3E%20(schema)">HealthCheckType</a>

The type of healthcheck to run, reply or request. The default value is <code>reply</code>.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20health_check">Link to this property</a>

interface\_address?: string

The IPv4 interface address for the interconnect. For MPLS Interconnects, use a /30 or /31 prefix. For GRE Interconnects, a /30 or /31 prefix may be used. Version 1.5 interconnects require a /31 prefix and may also use a prefix from the account’s authorized prefixes; otherwise, select the subnet from RFC 1918 or the approved link-local ranges.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20interface_address">Link to this property</a>

interface\_address6?: string

A 127 bit IPV6 prefix from within the virtual\_subnet6 prefix space with the address being the first IP of the subnet and not same as the address of virtual\_subnet6. Eg if virtual\_subnet6 is 2606:54c1:7:0:a9fe:12d2::/127 , interface\_address6 could be 2606:54c1:7:0:a9fe:12d2:1:200/127

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20interface_address6">Link to this property</a>

modified\_on?: string

The date and time the tunnel was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20modified_on">Link to this property</a>

mtu?: number

The Maximum Transmission Unit (MTU) in bytes for the interconnect. The minimum value is 576.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20mtu">Link to this property</a>

name?: string

The name of the interconnect. The name cannot share a name with other tunnels.

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

version?: string

Immutable interconnect version configured at creation time. One of:

- “1”
- “1.5”
- “2”

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

virtual\_port\_reservation\_id?: string

An identifier that correlates this interconnect with the corresponding V2 CNI interconnect resource.

maxLength32

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects%20%3E%20(items)%20%3E%20(property)%20virtual_port_reservation_id">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_interconnects">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf_interconnects%20%3E%20(model)%20cf_interconnect_bulk_update_response%20%3E%20(schema)>)

#### Magic TransitGRE Tunnels

##### [List GRE tunnels](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/list)

client.magicTransit.greTunnels.list(GRETunnelListParams {account\_id, xMagicNewHcTarget } params, RequestOptionsoptions?): [GRETunnelListResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)>) {gre\_tunnels }

GET/accounts/{account\_id}/magic/gre\_tunnels

##### [List GRE Tunnel Details](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/get)

client.magicTransit.greTunnels.get(stringgreTunnelID, GRETunnelGetParams {account\_id, xMagicNewHcTarget } params, RequestOptionsoptions?): [GRETunnelGetResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_get_response%20%3E%20(schema)>) {gre\_tunnel }

GET/accounts/{account\_id}/magic/gre\_tunnels/{gre\_tunnel\_id}

##### [Create a GRE tunnel](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/create)

client.magicTransit.greTunnels.create(GRETunnelCreateParams {account\_id, cloudflare\_gre\_endpoint, customer\_gre\_endpoint, 10 more } params, RequestOptionsoptions?): [GRETunnelCreateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_create_response%20%3E%20(schema)>) {id, cloudflare\_gre\_endpoint, customer\_gre\_endpoint, 12 more }

POST/accounts/{account\_id}/magic/gre\_tunnels

##### [Update GRE Tunnel](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/update)

client.magicTransit.greTunnels.update(stringgreTunnelID, GRETunnelUpdateParams {account\_id, cloudflare\_gre\_endpoint, customer\_gre\_endpoint, 9 more } params, RequestOptionsoptions?): [GRETunnelUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_update_response%20%3E%20(schema)>) {modified, modified\_gre\_tunnel }

PUT/accounts/{account\_id}/magic/gre\_tunnels/{gre\_tunnel\_id}

##### [Delete GRE Tunnel](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/delete)

client.magicTransit.greTunnels.delete(stringgreTunnelID, GRETunnelDeleteParams {account\_id, xMagicNewHcTarget } params, RequestOptionsoptions?): [GRETunnelDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_delete_response%20%3E%20(schema)>) {deleted, deleted\_gre\_tunnel }

DELETE/accounts/{account\_id}/magic/gre\_tunnels/{gre\_tunnel\_id}

##### [Update multiple GRE tunnels](https://developers.cloudflare.com/api/typescript/resources/magic_transit/subresources/gre_tunnels/methods/bulk_update)

client.magicTransit.greTunnels.bulkUpdate(GRETunnelBulkUpdateParams {account\_id, body, xMagicNewHcTarget } params, RequestOptionsoptions?): [GRETunnelBulkUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/magic_transit#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_bulk_update_response%20%3E%20(schema)>) {modified, modified\_gre\_tunnels }

PUT/accounts/{account\_id}/magic/gre\_tunnels

##### ModelsExpand Collapse

<details>

<summary>

GRETunnelListResponse {gre\_tunnels }

</summary>

<details>

<summary>

gre\_tunnels?: Array&lt;GRETunnel&gt;

</summary>

id: string

Identifier

maxLength32

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

cloudflare\_gre\_endpoint: string

The IP address assigned to the Cloudflare side of the GRE tunnel.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20cloudflare_gre_endpoint">Link to this property</a>

customer\_gre\_endpoint: string

The IP address assigned to the customer side of the GRE tunnel.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20customer_gre_endpoint">Link to this property</a>

interface\_address: string

A 31-bit prefix (/31 in CIDR notation) supporting two hosts, one for each side of the tunnel. Select the subnet from the following private IP space: 10.0.0.0–10.255.255.255, 172.16.0.0–172.31.255.255, 192.168.0.0–192.168.255.255.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20interface_address">Link to this property</a>

name: string

The name of the tunnel. The name cannot contain spaces or special characters, must be 15 characters or less, and cannot share a name with another GRE tunnel.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

automatic\_return\_routing?: boolean

True if automatic stateful return routing should be enabled for a tunnel, false otherwise. Requires the <code>coupler_integration</code> account flag to be enabled; requests setting this to <code>true</code> without that flag will be rejected.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20automatic_return_routing">Link to this property</a>

<details>

<summary>

bgp?: BGP {customer\_asn, export\_filter\_id, extra\_prefixes, 2 more }

</summary>

customer\_asn: number

ASN used on the customer end of the BGP session

formatint32

minimum0

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20customer_asn">Link to this property</a>

export\_filter\_id?: string

ID of the BGP filter profile applied to routes advertised to the customer.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20export_filter_id">Link to this property</a>

extra\_prefixes?: Array&lt;string&gt;

Prefixes in this list will be advertised to the customer device, in addition to the routes in the Magic routing table.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20extra_prefixes">Link to this property</a>

import\_filter\_id?: string

ID of the BGP filter profile applied to routes received from the customer.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20import_filter_id">Link to this property</a>

md5\_key?: string

MD5 key to use for session authentication.

Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

- ASCII alphanumerics: <code>[a-zA-Z0-9]</code>
- Special characters in the set <code>'!@#$%^&amp;*()+[]{}&lt;&gt;/.,;:_-~</code>= |\`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (<code>"</code>), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (<code>?</code>). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp%20%3E%20(property)%20md5_key">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp">Link to this property</a>

<details>

<summary>

bgp\_status?: BGPStatus {state, tcp\_established, updated\_at, 5 more }

</summary>

<details>

<summary>

state: "BGP\_DOWN"| "BGP\_UP"| "BGP\_ESTABLISHING"

</summary>

One of the following:

"BGP\_DOWN"

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"BGP\_UP"

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

"BGP\_ESTABLISHING"

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20state%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20state">Link to this property</a>

tcp\_established: boolean

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20tcp_established">Link to this property</a>

updated\_at: string

formatdate-time

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20updated_at">Link to this property</a>

bgp\_state?: string

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20bgp_state">Link to this property</a>

cf\_speaker\_ip?: string

formatipv4

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20cf_speaker_ip">Link to this property</a>

cf\_speaker\_port?: number

maximum65535

minimum1

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20cf_speaker_port">Link to this property</a>

customer\_speaker\_ip?: string

formatipv4

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20customer_speaker_ip">Link to this property</a>

customer\_speaker\_port?: number

maximum65535

minimum1

<a href="#(resource)%20magic_transit.gre_tunnels%20%3E%20(model)%20gre_tunnel_list_response%20%3E%20(schema)%20%3E%20(property)%20gre_tunnels%20%3E%20(items)%20%3E%20(property)%20bgp_status%20%3E%20(property)%20customer_speaker_port">Link to this property</a>

</details>

[...]
